MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025778Community[OCCT] OCCT:Visualizationpublic2015-02-02 10:132015-05-14 16:28
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025778: Gradient background will cut view if there is ClipPlane defined.
DescriptionThere is a similar issue at http://www.opencascade.org/org/forum/thread_19388/?forum=3 [^]
// Code snippet as following:
    gp_Pln aPln(myWCS);
    Handle(Graphic3d_ClipPlane) aClipPlane = new Graphic3d_ClipPlane(aPln);
    myView->AddClipPlane(aClipPlane);
    aClipPlane->SetOn(Standard_True);
    aClipPlane->SetCapping(Standard_True);
    myContext->UpdateCurrentViewer();
    myView->Update();

// and then set the gradient background
Steps To Reproducebugs/vis/bug25778

pload MODELING VISUALIZATION
vinit View1
vclear
vaxo
vsetdispmode 1
box b 1 1 1
vsetgradientbg 255 0 0 0 0 255 0
vdisplay b
vfit

vclipplane create pln
vclipplane set pln view Driver1/Viewer1/View1
vclipplane change pln equation 0 1 0 -0.5

vsetgradientbg 255 0 0 0 0 255 1
TagsNo tags attached.
Test case numberbugs vis(004) bug25778
Attached Filespng file icon gradient_cutplane.png (222,190 bytes) 2015-02-02 10:13
png file icon plainbackground_cutplane.png (245,041 bytes) 2015-02-02 10:14

- Relationships

-  Notes
(0038224)
git (administrator)
2015-03-10 14:12

Branch CR25778 has been created by aba.

SHA-1: 5028bdaee7d6c65b077aaa36dba3ea013d95b180


Detailed log of new commits:

Author: aba
Date: Tue Mar 10 14:11:58 2015 +0300

    0025778: Gradient background will cut view if there is ClipPlane defined:
    
    OpenGl_CappingAlgo: rendered capping plane with primitive array
(0039745)
apl (developer)
2015-04-15 11:09
edited on: 2015-04-15 11:10

Previous commit of Anastasia:

"0025778: Gradient background will cut view if there is ClipPlane defined"
"OpenGl_CappingAlgo: rendered capping plane with primitive array"

related to drawing capping planes with primitives array was integrated as a part of 0023484

(0039767)
git (administrator)
2015-04-15 12:30

Branch CR25778_2 has been created by apl.

SHA-1: c947bc632fd8f1fe539fae728078da2514af4f54


Detailed log of new commits:

Author: apl
Date: Wed Apr 15 12:27:05 2015 +0300

    0025778: Gradient background will cut view if there is ClipPlane defined.
(0039778)
apl (developer)
2015-04-15 14:10

Dear Kirill,

Please review CR25778_2.
(0039779)
kgv (developer)
2015-04-15 14:19

Please test the patch.
(0039898)
apv (tester)
2015-04-16 16:10

Dear BugMaster,

Branch CR25778_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c947bc632fd8f1fe539fae728078da2514af4f54

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug25778 - OK
http://occt-tests/CR25778-2-master-occt-64/Debian60-64/bugs/vis/bug25778.html [^]
http://occt-tests/CR25778-2-master-occt-64/Windows-64-VC10/bugs/vis/bug25778.html [^]

Testing on Linux:
Total MEMORY difference: 94054609 / 94242212 [-0.20%]
Total CPU difference: 51699.0299999994 / 56192.6999999997 [-8.00%]

Testing on Windows:
Total MEMORY difference: 57132568 / 57127628 [+0.01%]
Total CPU difference: 17116.148918198847 / 15976.577213298899 [+7.13%]
(0040992)
git (administrator)
2015-05-14 16:28

Branch CR25778 has been deleted by inv.

SHA-1: 5028bdaee7d6c65b077aaa36dba3ea013d95b180
(0040993)
git (administrator)
2015-05-14 16:28

Branch CR25778_2 has been deleted by inv.

SHA-1: c947bc632fd8f1fe539fae728078da2514af4f54

- Related Changesets
occt: master 699239e4
Timestamp: 2015-04-15 09:27:05
Author: apl
Committer: bugmaster
Details ] Diff ]
0025778: Gradient background will cut view if there is ClipPlane defined.
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
add - tests/bugs/vis/bug25778 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-02 10:13 Vico Liang New Issue
2015-02-02 10:13 Vico Liang Assigned To => kgv
2015-02-02 10:13 Vico Liang File Added: gradient_cutplane.png
2015-02-02 10:14 Vico Liang File Added: plainbackground_cutplane.png
2015-02-11 13:18 kgv Steps to Reproduce Updated View Revisions
2015-02-11 13:20 kgv Assigned To kgv => aba
2015-02-11 13:20 kgv Status new => assigned
2015-03-10 14:12 git Note Added: 0038224
2015-04-14 18:10 apl Assigned To aba => apl
2015-04-15 11:09 apl Note Added: 0039745
2015-04-15 11:09 apl Note Edited: 0039745 View Revisions
2015-04-15 11:10 apl Note Edited: 0039745 View Revisions
2015-04-15 12:30 git Note Added: 0039767
2015-04-15 14:10 apl Note Added: 0039778
2015-04-15 14:10 apl Assigned To apl => kgv
2015-04-15 14:10 apl Status assigned => resolved
2015-04-15 14:10 apl Steps to Reproduce Updated View Revisions
2015-04-15 14:19 kgv Note Added: 0039779
2015-04-15 14:19 kgv Assigned To kgv => bugmaster
2015-04-15 14:19 kgv Status resolved => reviewed
2015-04-15 17:21 apv Assigned To bugmaster => apv
2015-04-16 16:08 apv Test case number => bugs vis(004) bug25778
2015-04-16 16:10 apv Note Added: 0039898
2015-04-16 16:10 apv Assigned To apv => bugmaster
2015-04-16 16:10 apv Status reviewed => tested
2015-04-17 15:40 bugmaster Changeset attached => occt master 699239e4
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040992
2015-05-14 16:28 git Note Added: 0040993


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker